#!%PerlPath%
# mail2tdf.pl : mail を受け取り、所定の tdf に追加する
#
# （注意）
#    十分テストしてから運用してください
#    バグが含まれている可能性が存分にあるので、
#    自分で検証できる場合のみご使用ください
#
#  (*) インストール
#    (1) use lib の部分を環境に合わせて変える
#    (2) 適当な場所に mail2tdf.pl としてコピー
#    (3) accept_from, logfile を設定する
#       （diary_dir は絶対パスで指定）
#    (4) contrib/mkpasswd.pl でパスワード設定
#    (5) .forward に記述：
#       \foo, "|/usr/local/bin/perl /home/foo/diary/bin/mail2tdf.pl"
#    (6) 十分なテスト
#
#  (*) メールの書式：
#    From: foo@bar.com
#    Subject: [mail2(tdf|todo|schedule|category|url|term|robotlist|author_id)](ADD|GET|DELETE|REPLACE)
#    （空行）
#    PASSWORD *****
#    DATE CCYY MM DD
#    （空行）
#    本文、、、
#
#   ADD,GET などのアクションを省略すると、ADD と見做される
#   DATE を省略すると、今日の日記を対象にする
#   PASSWORD は必須。
#   @accept_from に書かれてない差出人からは受け付けない
#
# Copyright(C) 1999 TANAKA Tomonari<tom@morito.mgmt.waseda.ac.jp>
# $Id: mail2tdf.pl.in,v 1.10 2000/08/01 08:59:39 tom Exp $
################################################################

use strict;

use lib qw(%WebDiaryDir% %LibDir%);

use TDS;
use TDS::System;
use TDS::Mail2Tdf;
use TDS::DirInfo;

################################################################
my $m2t = new TDS::Mail2Tdf;

unless ($m2t->Read){   # 読んでみて
    exit;              # mail2tdf 用じゃなければ何もしない
}
# メールに応じて処理をする
$m2t->DoAction;
exit(0);
